# Class SchemaReaderLoader

java.lang.Object
com.thaiopensource.validate.SchemaReaderLoader

All Implemented Interfaces:
  `SchemaReaderFactory`

public class SchemaReaderLoader extends Object implements SchemaReaderFactory
A SchemaReaderFactory that automatically discovers SchemaReader implementations. For a SchemeaReader implementation to be discoverable by this class, it must have a factory class with a no-argument constructor implementing SchemaReaderFactory, and the fully-qualified name of this factory class must be listed in the file `META-INF/services/com.thaiopensource.validate.SchemaReaderFactory`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchemaReaderLoader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SchemaReader`
  `createSchemaReader(String namespaceUri)`
  Creates a SchemaReader for a particular schema language.
  `Option`
  `getOption(String uri)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SchemaReaderLoader

    public SchemaReaderLoader()

- ## Method Details

  - ### createSchemaReader

    public SchemaReader createSchemaReader(String namespaceUri)
    Description copied from interface: `SchemaReaderFactory`
    Creates a SchemaReader for a particular schema language.
    Specified by:
      `createSchemaReader` in interface `SchemaReaderFactory`
    Parameters:
      `namespaceUri` - a String identifing the schema language; must not be `null`; for schema languages that use XML, this should be the namespace URI of the root element if the root element has a non-absent namespace URI
    Returns:
      a SchemaReader for the specified schema language, or `null`, if this SchemaReaderFactory cannot create a SchemaReader for the specified schema language

  - ### getOption

    public Option getOption(String uri)
    Specified by:
      `getOption` in interface `SchemaReaderFactory`